Share via


Recoverable Databases - List By Server

Gets a list of recoverable databases.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/recoverableDatabases?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RecoverableDatabaseListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get list of recoverable databases.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-1234/providers/Microsoft.Sql/servers/recoverabledatabasetest-7177/recoverableDatabases?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "recoverabledatabasetest-1235",
      "type": "Microsoft.Sql/servers/recoverableDatabases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-1234/providers/Microsoft.Sql/servers/recoverabledatabasetest-7177/recoverableDatabases/recoverabledatabasetest-1235",
      "properties": {
        "edition": "Standard",
        "elasticPoolName": null,
        "lastAvailableBackupDate": "2017-05-26T01:06:29.78Z",
        "serviceLevelObjective": "S0"
      }
    },
    {
      "name": "recoverabledatabasetest-9231",
      "type": "Microsoft.Sql/servers/recoverableDatabases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-1234/providers/Microsoft.Sql/servers/recoverabledatabasetest-7177/recoverableDatabases/recoverabledatabasetest-9231",
      "properties": {
        "edition": "Premium",
        "elasticPoolName": null,
        "lastAvailableBackupDate": "2017-05-26T03:20:31.78Z",
        "serviceLevelObjective": "P1"
      }
    },
    {
      "name": "recoverabledatabasetest-0342",
      "type": "Microsoft.Sql/servers/recoverabledatabases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-1234/providers/Microsoft.Sql/servers/recoverabledatabasetest-7177/recoverabledatabases/recoverabledatabasetest-0342",
      "properties": {
        "edition": "Basic",
        "elasticPoolName": null,
        "lastAvailableBackupDate": "2017-05-24T02:06:18.78Z",
        "serviceLevelObjective": "Basic"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DatabaseKey

Database level key used for encryption at rest.

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RecoverableDatabase

A recoverable database resource.

RecoverableDatabaseListResult

The response of a RecoverableDatabase list operation.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatabaseKey

Database level key used for encryption at rest.

Name Type Description
creationDate

string (date-time)

The database key creation date.

keyVersion

string

The database key's version.

subregion

string

Subregion of the server key.

thumbprint

string

Thumbprint of the database key.

type

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

Value Description
AzureKeyVault

AzureKeyVault

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RecoverableDatabase

A recoverable database resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.edition

string

The edition of the database.

properties.elasticPoolName

string

The elastic pool name of the database

properties.keys

<string,  DatabaseKey>

The resource ids of the user assigned identities to use

properties.lastAvailableBackupDate

string (date-time)

The last available backup date.

properties.serviceLevelObjective

string

The service level objective name of the database.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RecoverableDatabaseListResult

The response of a RecoverableDatabase list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

RecoverableDatabase[]

The RecoverableDatabase items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.